Mantis Bugtracker 

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008184TestLinkBug Tracking Systems Integrationpublic2018-01-16 12:052018-02-25 13:36
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityhave not tried
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008184: Issue on test case STEP - Issue summary configuration
DescriptionThe default issue summary on the issues created on the step level is pretty confusing:

Issue executing step number 5.

Some of our testers have created such a tickets in redmine. On a step level there is no possibility to add direct link to test case execution and the test case is not referenced appropriately. So such an issues are useless in redmine.

The reason for such a default is small bug in the issue text generation code.

See fixing-commit [^]
Steps To Reproduce1. Configure Issue Tracking integration (for redmine)
2. Create issue on some test case step from the test case execution view.
TagsNo tags attached.
Database (MySQL,Postgres,etc)everyone
PHP Version
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
related to 0008211resolvedfman Issue on test case - Issue summary configuration 
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
fman (administrator)
2018-01-16 22:57

Unfortunately I found your issue report not detailed as needed, then please provide example instead of sentences like 'the test case is not referenced appropriately.'
kostgr_2 (reporter)
2018-01-17 07:26

Issue created in redmine from step has from default only that informations:

"Issue executing step number X" nothing else. No Testlink project, no platform, no build, no test case. What should one do with this issue?

One of our testers has made some of such issues. We had to review each issue from testlink and add at least the links to the test case executions to be able to process such a ticket.

It should actually be "Issue executing step numer X TT-123 Test creating new address entry", where TT-123 - is the unique number of the test case from Testlink and "Test creating new address entry" is the title of the test case.
fman (administrator)
2018-02-24 16:30

1. Issue subject can be edited => proposal can be not good, but issue focus changes
fman (administrator)
2018-02-24 17:55

Added possibility to configure subject at test case step level


$tlCfg->exec_cfg->issues->tcstep_level->subject =
'$$issue_on_step %%STEPNUMBER%% - $$issue_subject_tcname %%TCNAME%% - ' .
'$$issue_subject_projectname %%PROJECTNAME%% - ' .
'$$issue_subject_planname %%PLANNAME%% - ' .
'$$issue_subject_buildname %%BUILDNAME%% - ' .
'$$issue_subject_platfname %%PLATFNAME%%';

Standard configuration

$tlCfg->exec_cfg->issues->tcstep_level->subject = '$$issue_on_step %%STEPNUMBER%% - $$issue_subject_tcname %%TCNAME%% ';

- Issue History
Date Modified Username Field Change
2018-01-16 12:05 kostgr_2 New Issue
2018-01-16 22:57 fman Note Added: 0027152
2018-01-16 22:57 fman Assigned To => fman
2018-01-16 22:57 fman Status new => feedback
2018-01-17 07:26 kostgr_2 Note Added: 0027158
2018-01-17 07:26 kostgr_2 Status feedback => assigned
2018-02-24 16:30 fman Note Added: 0027238
2018-02-24 17:55 fman Note Added: 0027239
2018-02-24 17:55 fman QA Team - Task Workflow Status => TBD
2018-02-24 17:55 fman Status assigned => resolved
2018-02-24 17:55 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-02-24 17:55 fman Resolution open => fixed
2018-02-24 17:58 fman Product Version => 1.9.17 (2018 Q1)
2018-02-24 17:58 fman Relationship added child of 0007817
2018-02-24 17:59 fman Summary Issue summary is confusing at creating Bug Tracking issue on test case step level => Issue on test case STEP - Issue summary configuration
2018-02-25 13:36 fman Issue cloned: 0008211
2018-02-25 13:36 fman Relationship added related to 0008211

Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker